> ## Documentation Index
> Fetch the complete documentation index at: https://quartr.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a transcript



## OpenAPI

````yaml https://api.quartr.com/public/v3/openapi.json get /public/v3/documents/transcripts/{id}
openapi: 3.0.0
info:
  title: Quartr Public API
  description: The Quartr Public API
  version: '3.0'
  contact: {}
servers:
  - url: https://api.quartr.com
security: []
tags:
  - name: Companies
    description: ''
  - name: Events
    description: ''
  - name: Event Types
    description: ''
  - name: Documents
    description: ''
  - name: Document Types
    description: ''
  - name: Reports
    description: ''
  - name: Slides
    description: ''
  - name: Transcripts
    description: ''
  - name: Backlog Audio
    description: ''
  - name: Live
    description: ''
  - name: Live Audio
    description: ''
  - name: Live Transcripts
    description: ''
paths:
  /public/v3/documents/transcripts/{id}:
    get:
      tags:
        - Transcripts
      summary: Retrieve a transcript
      operationId: TranscriptControllerV3_getTranscriptById
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
        - name: expand
          required: false
          in: query
          description: Comma-separated list of fields to expand
          schema:
            example: event
            enum:
              - event
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentResponseDto'
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Unauthorized
                    type: string
                  statusCode:
                    example: 401
                    type: number
                type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Forbidden
                    type: string
                  statusCode:
                    example: 403
                    type: number
                type: object
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Not Found
                    type: string
                  statusCode:
                    example: 404
                    type: number
                type: object
      security:
        - apiKey: []
components:
  schemas:
    DocumentResponseDto:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/DocumentDto'
      required:
        - data
    DocumentDto:
      type: object
      properties:
        companyId:
          type: number
          example: 4742
        eventId:
          type: number
          example: 128301
        fileUrl:
          type: string
          example: https://quartr.com/file.pdf
        id:
          type: number
          example: 432907
        typeId:
          type: number
          example: 7
        updatedAt:
          format: date-time
          type: string
          example: '2021-09-19T15:00:00.000Z'
        createdAt:
          format: date-time
          type: string
          example: '2021-09-15T15:00:00.000Z'
        event:
          description: Expanded event details (available when ?expand=event)
          allOf:
            - $ref: '#/components/schemas/ExpandedEventDto'
      required:
        - fileUrl
        - id
        - typeId
        - updatedAt
        - createdAt
    ExpandedEventDto:
      type: object
      properties:
        title:
          type: string
          example: Q1 2024 Earnings call
        typeId:
          type: number
          example: 26
        fiscalYear:
          type: number
          example: 2024
        fiscalPeriod:
          type: string
          example: Q1
        language:
          type: string
          example: en
        date:
          format: date-time
          type: string
          example: '2024-01-15T10:00:00.000Z'
  securitySchemes:
    apiKey:
      in: header
      name: x-api-key
      type: apiKey

````